from odoo import models, fields, api, _


class LedgerBankAndCash(models.Model):
    _name = 'ledger.bank.and.cash'
    _description = 'Bank and Cash Report'
    _order = 'account_id, date asc'

    date = fields.Date()
    account_id = fields.Many2one('account.account')
    move_id = fields.Many2one('account.move')
    source_no = fields.Char(related='move_id.name')
    name = fields.Char(related='move_id.ref')
    partner_id = fields.Many2one('res.partner')
    currency_id = fields.Many2one('res.currency')
    debit = fields.Monetary('Debit')
    credit = fields.Monetary('Credit')
    beginning_balance = fields.Monetary('Beginning Balance',)
    account_code = fields.Char('Account Code', related='account_id.code')
    account_name = fields.Char('Account Name', related='account_id.name')
    balance = fields.Monetary('Balance',)
    
    